{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.black": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
					{"awm":"query.is_sneaking && query.get_equipped_item_name=='awm' && query.is_using_item"},
					{"awp":"query.is_sneaking && query.get_equipped_item_name=='awp' && query.is_using_item"},
					{"ax50":"query.is_sneaking && query.get_equipped_item_name=='ax50' && query.is_using_item"},
					{"g11":"query.is_sneaking && query.get_equipped_item_name=='g11' && query.is_using_item"},
					{"m21":"query.is_sneaking && query.get_equipped_item_name=='m21' && query.is_using_item"},
					{"m21nv":"query.is_sneaking && query.get_equipped_item_name=='m21nv' && query.is_using_item"},
					{"m24":"query.is_sneaking && query.get_equipped_item_name=='m24' && query.is_using_item"},
					{"m40":"query.is_sneaking && query.get_equipped_item_name=='m40' && query.is_using_item"},
					{"m40a3nv":"query.is_sneaking && query.get_equipped_item_name=='m40a3nv' && query.is_using_item"},
					{"m82":"query.is_sneaking && query.get_equipped_item_name=='m82' && query.is_using_item"},
					{"m95":"query.is_sneaking && query.get_equipped_item_name=='m95' && query.is_using_item"},
					{"m110":"query.is_sneaking && query.get_equipped_item_name=='m110' && query.is_using_item"},
					{"r700":"query.is_sneaking && query.get_equipped_item_name=='r700' && query.is_using_item"},
					{"sv98":"query.is_sneaking && query.get_equipped_item_name=='sv98' && query.is_using_item"},
					{"svd":"query.is_sneaking && query.get_equipped_item_name=='svd' && query.is_using_item"},
					{"qbu88":"query.is_sneaking && query.get_equipped_item_name=='qbu88' && query.is_using_item"},
					{"vssk":"query.is_sneaking && query.get_equipped_item_name=='vssk' && query.is_using_item"},
					{"xm25":"query.is_sneaking && query.get_equipped_item_name=='xm25' && query.is_using_item"},
					{"ntw20":"query.is_sneaking && query.get_equipped_item_name=='ntw20' && query.is_using_item"},
					{"sks_tapco":"query.is_sneaking && query.get_equipped_item_name=='sks_tapco' && query.is_using_item"},
					{"kar98k":"query.is_sneaking && query.get_equipped_item_name=='kar98k_optical' && query.is_using_item"},
					{"m16a4":"query.is_sneaking && query.get_equipped_item_name=='m16a4_optical' && query.is_using_item"},
					{"m1903":"query.is_sneaking && query.get_equipped_item_name=='m1903_optical' && query.is_using_item"}
					]
				},
				"awm":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"awp":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"ax50":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"g11":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m21":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m21nv":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m24":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m40":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m40a3nv":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m82":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m95":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m110":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"r700":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"sv98":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"svd":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"qbu88":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"vssk":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"xm25":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"ntw20":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"sks_tapco":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"kar98k":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m16a4":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]},
				"m1903":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/effect @s blindness 1 0 true"]}
			}
		}
	}
}